package com.realnet.basic1.Services;
import com.realnet.basic1.Repository.Form_dRepository;
import com.realnet.basic1.Entity.Form_d
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




	import org.springframework.stereotype.Service;

@Service
 public class Form_dService {
@Autowired
private Form_dRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



public Form_d Savedata(Form_d data) {




	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Form_d save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Form_d> getAllWithPagination(Pageable page) {
		return Repository.findAll( getUser().getUserId(),page);
	}			
public List<Form_d> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Form_d> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Form_d getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Form_d update(Form_d data,Integer id) {
	Form_d old = Repository.findById(id).get();
old.setNamek(data.getNamek());

old.setChild(data.getChild());

final Form_d test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
